Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TransferChatOwnership

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.TransferChatOwnership

Enclosing class:
  TdApi

public static final class TdApi.TransferChatOwnership extends TdApi.Function<TdApi.Ok>
Changes the owner of a chat. The current user must be a current owner of the chat. Use the method canTransferOwnership to check whether the ownership can be transferred from the current session. Available only for supergroups and channel chats.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`String`
`password`
The password of the current user.
`long`
`userId`
Identifier of the user to which transfer the ownership.

## Constructor Summary

Constructors
Constructor
Description
`TransferChatOwnership()`
Changes the owner of a chat.
`TransferChatOwnership(long chatId, long userId, String password)`
Changes the owner of a chat.
`TransferChatOwnership(DataInput input)`
Changes the owner of a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### userId

public long userId
Identifier of the user to which transfer the ownership. The ownership can't be transferred to a bot or to a deleted user.

### password

public String password
The password of the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TransferChatOwnership

public TransferChatOwnership()
Changes the owner of a chat. The current user must be a current owner of the chat. Use the method canTransferOwnership to check whether the ownership can be transferred from the current session. Available only for supergroups and channel chats.

Returns `Ok`

### TransferChatOwnership

public TransferChatOwnership(long chatId, long userId, String password)
Changes the owner of a chat. The current user must be a current owner of the chat. Use the method canTransferOwnership to check whether the ownership can be transferred from the current session. Available only for supergroups and channel chats.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `userId` - long Identifier of the user to which transfer the ownership. The ownership can't be transferred to a bot or to a deleted user.
  `password` - String The password of the current user.

### TransferChatOwnership

public TransferChatOwnership(DataInput input) throws IOException
Changes the owner of a chat. The current user must be a current owner of the chat. Use the method canTransferOwnership to check whether the ownership can be transferred from the current session. Available only for supergroups and channel chats.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`